#
# nutch.pp
#

class plnxtools::nutch
() inherits plnxtools::nutch::params
{
	class {"plnxtools": } 
	->
	archive { "/tmp/$filename":
		ensure => present,
		source => "$urlpath/${filename}",
		extract_path => "/opt/",
		extract => true,
		cleanup => true,
		checksum => $checksum,
		checksum_type => $checksum_type,
		creates   => "/opt/${dirname}",
		require => [
			File['opt_dir']
		]
	} ->
	file { '/opt/nutch':
		ensure => link,
		target => "/opt/${dirname}",
	}
}
